ReferenceAPI
Notifications
Slack and webhook endpoints, and email subscribers.
curl -X GET "https://example.com/v1/webhook-endpoints"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "slack", "name": "string", "state": "active", "componentIds": [ "e154ef1c-4b8f-4d74-8bc8-4ceeb80b7eb6" ], "failingSince": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" }]POST
/v1/webhook-endpointsAn outgoing webhook's signing secret is in this answer only.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/webhook-endpoints" \ -H "Content-Type: application/json" \ -d '{ "kind": "slack", "name": "string", "url": "http://example.com" }'{ "endpoint": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "slack", "name": "string", "state": "active", "componentIds": [ "e154ef1c-4b8f-4d74-8bc8-4ceeb80b7eb6" ], "failingSince": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" }, "secret": "string"}curl -X DELETE "https://example.com/v1/webhook-endpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
POST
/v1/webhook-endpoints/{id}/testPosts a sample notice now and says what the endpoint answered.
Path Parameters
id*string
Format
uuidResponse Body
application/json
curl -X POST "https://example.com/v1/webhook-endpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08/test"{ "ok": true, "status": 0, "detail": "string"}curl -X GET "https://example.com/v1/subscribers"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "state": "pending_confirmation", "componentIds": [ "e154ef1c-4b8f-4d74-8bc8-4ceeb80b7eb6" ], "createdAt": "2019-08-24T14:15:22Z" }]DELETE
/v1/subscribers/{id}Deletes the address; it can subscribe again, even after a bounce.
Path Parameters
id*string
Format
uuidResponse Body
curl -X DELETE "https://example.com/v1/subscribers/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty